"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var animated_circle_common_1 = require("./animated-circle.common");
var color_1 = require("tns-core-modules/color");
var utils = require("tns-core-modules/utils/utils");
var AnimatedCircle = (function (_super) {
    __extends(AnimatedCircle, _super);
    function AnimatedCircle() {
        var _this = _super.call(this) || this;
        _this._ios = DRCircularProgressView.new();
        _this._ios.alternativeColor = new color_1.Color('#FF5722').ios;
        _this._ios.progressColor = new color_1.Color('#3D8FF4').ios;
        _this._ios.backgroundColor = new color_1.Color('#348F74').ios;
        _this._ios.thickness = 5;
        _this._label = UILabel.alloc().initWithFrame(CGRectMake(0, 0, 0, 0));
        _this._label.textAlignment = 1;
        _this._label.textColor = new color_1.Color('#3D8FF4').ios;
        return _this;
    }
    AnimatedCircle.prototype.createNativeView = function () {
        return this._ios;
    };
    AnimatedCircle.prototype.initNativeView = function () {
    };
    AnimatedCircle.prototype.onLayout = function (left, top, right, bottom) {
        _super.prototype.onLayout.call(this, left, top, right, bottom);
        var dpWidth = utils.layout.toDeviceIndependentPixels(this.effectiveWidth);
        var dpHeight = utils.layout.toDeviceIndependentPixels(this.effectiveHeight);
        this._label.frame = CGRectMake(0, 0, dpWidth, dpHeight);
        this._ios.addSubview(this._label);
        this._ios.bringSubviewToFront(this._label);
    };
    Object.defineProperty(AnimatedCircle.prototype, "ios", {
        get: function () {
            return this._ios;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "progress", {
        set: function (value) {
            this._ios.progressValue = Number(value / 100);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "barColor", {
        set: function (value) {
            if (value instanceof UIColor) {
                this._ios.progressColor = value;
            }
            else if (typeof value === 'string') {
                this._ios.progressColor = new color_1.Color(value).ios;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "rimColor", {
        set: function (value) {
            if (value instanceof UIColor) {
                this._ios.alternativeColor = value;
            }
            else if (typeof value === 'string') {
                this._ios.alternativeColor = new color_1.Color(value).ios;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "clockwise", {
        set: function (value) {
            this._ios.clockwise = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "rimWidth", {
        set: function (value) {
            this._ios.thickness = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "startAngle", {
        set: function (value) {
            this._ios.startAngle = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "endAngle", {
        set: function (value) {
            this._ios.endAngle = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "text", {
        get: function () {
            return this._label.text;
        },
        set: function (value) {
            this._label.text = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "textColor", {
        set: function (value) {
            if (value instanceof UIColor) {
                this._label.textColor = value;
            }
            else if (typeof value === 'string') {
                this._label.textColor = new color_1.Color(value).ios;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AnimatedCircle.prototype, "textSize", {
        get: function () {
            return this._label.font.pointSize;
        },
        set: function (value) {
            this._label.font = this._label.font.fontWithSize(value);
        },
        enumerable: true,
        configurable: true
    });
    return AnimatedCircle;
}(animated_circle_common_1.Common));
exports.AnimatedCircle = AnimatedCircle;
//# sourceMappingURL=animated-circle.ios.js.map